/******************************************************************************
* line.h
*
* RouteSketch
*
******************************************************************************
* Copyright (C) 2013 Andreas Gemsa <gemsa@kit.edu>, Thomas Pajor
*
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation, either version 3 of the License, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
* more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*****************************************************************************/
/*
 * line.h
 *
 *  Created on: Jul 1, 2010
 *      Author: pajor
 */

#ifndef LINE_H_
#define LINE_H_

#include "point.h"
#include "boundingBox.h"

namespace schematization {


struct line {
	point p1, p2;

	boundingBox get_bounding_box() {
		boundingBox bb(p1);
		bb.extend(p2);
		return bb;
	}

	line() : p1(0.0, 0.0), p2(0.0, 0.0) {}
	line(const point &_p1, const point &_p2) : p1(_p1), p2(_p2) {}
};

}

#endif /* LINE_H_ */
