/******************************************************************************
* time.h
*
* RouteSketch
*
******************************************************************************
* Copyright (C) 2013 Andreas Gemsa <gemsa@kit.edu>, Thomas Pajor
*
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the Free
* Software Foundation, either version 3 of the License, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
* more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*****************************************************************************/
#ifndef TIME_H
#define TIME_H

#include <sys/time.h>

class Timer{
 public:
  Timer(){ restart(); }

  void restart(){
    s = time();
  }

  double elapsed(){
    e = time();
    return e-s;
  }

 private:
      
      inline double time() {
      timeval tp;
      gettimeofday(&tp, NULL);
      double ms = double(tp.tv_usec) / 1000.;
      return tp.tv_sec*1000 + ms;
    }


  clock_t s;
  clock_t e;

};

#endif
